Movable Type システム・チェック [mt-check.cgi]

Movable Type が動作するために必要な Perl モジュールのインストールについての確認と、設定に関するシステムの情報を表示します。

システムの情報:

確認: 必須 モジュール:

HTML::Template (version >= 2)

サーバには HTML::Template がインストールされていました。(バージョン: 2.4).

Image::Size

サーバには Image::Size がインストールされていました。(バージョン: 2.93).

File::Spec (version >= 0.8)

サーバには File::Spec がインストールされていました。(バージョン: 0.82).

CGI::Cookie

サーバには CGI::Cookie がインストールされていました。(バージョン: 1.20).

確認: データ管理 モジュール:

以下のモジュールは Movable Type がデータの保管、管理のために利用します。Movable Type を利用するためには、以下のモジュールのうち 少なくとも一つ はインストールされている必要があります。

DB_File

サーバには DB_File がインストールされていました。(バージョン: 1.82).

DBD::mysql

サーバには DBD::mysql がインストールされていました。(バージョン: 4.013).

DBD::Pg

サーバには DBD::Pg がインストールされていました。(バージョン: 2.15.1).

DBD::SQLite

サーバには DBD::SQLite がインストールされていました。(バージョン: 1.27).

確認: 推奨 モジュール:

以下のモジュールはインストールすることを 推奨 します。なくても動作しますが、関連する機能を利用するためにはインストールしておく必要があります。

HTML::Entities

サーバには HTML::Entities がインストールされていました。(バージョン: 3.64).

LWP::UserAgent

サーバには LWP::UserAgent がインストールされていました。(バージョン: 2.001).

SOAP::Lite (version >= 0.5)

サーバには SOAP::Lite がインストールされていました。(バージョン: 0.52).

File::Temp

サーバには File::Temp がインストールされていました。(バージョン: 0.12).

Image::Magick

サーバには Image::Magick がインストールされていました。(バージョン: 6.72).

Storable

サーバには Storable がインストールされていました。(バージョン: 2.20).

Crypt::DSA

サーバには、 Crypt::DSA がインストールされていない、もしくは、動作 させるために必要なモジュールがインストール されていません。Crypt::DSA がインストールされていると、コメント登録機 能を利用するときに、TypeKey を利用したサイン・インの動作が高速になりま す。Crypt::DSA をインストールするのであれば、インストール の説明を参考にしてください。

MIME::Base64

サーバには MIME::Base64 がインストールされていました。(バージョン: 3.08).

XML::Atom

サーバには XML::Atom がインストールされていました。(バージョン: 0.07).

Movable Type のシステム・チェックは無事に完了しました

準備が整いました! サーバには必要なモジュールがすべて揃っています。追加のモジュールのインストールは必要ありません。インストールの説明に従って、次の手順に進んでください。